## labyrinth 0.6

=== po/Makefile ===
LANGS=ca cs de es eu fa fr it nl pl pt_BR pt_PT ru sv zh_CN

LANG_FOLDERS:=$(addprefix $(localedir)/,$(LANGS))
INST_MO:=$(addsuffix /LC_MESSAGES/labyrinth.mo,$(LANG_FOLDERS))

# Translate to binary message format
%.mo: %.po
	msgfmt -o $@ $<

all-mo: $(LANGS:%=%.mo)

# The installation rule
$(localedir)/%/LC_MESSAGES/labyrinth.mo : %.mo
	install -D -m 644 $< $@

install: all-mo $(INST_MO)

labyrinth.pot:
	xgettext --language=Python --keyword=_ --output=$@ `find ../labyrinth_lib -name "*.py"`
	xgettext --output=$@ --join-existing ../data/labyrinth.glade

update-%-po:
	@echo -n "Updating $*.po"
	@result="`msgmerge -o $*.new.po $*.po labyrinth.pot`"; \
	if $$result; then \
		if cmp $*.po $*.new.po >/dev/null 2>&1; then \
			# No changes - discard the new file \
			rm -f $*.new.po; \
		else \
			# File has changed - new file replaces the old \
			if mv -f $*.new.po $*.po; then \
			:; \
			else \
				echo "msgmerge for $*.po failed: cannot move $*.new.po to $*.po" 1>&2; \
				rm -f $*.new.po; \
				exit 1; \
			fi; \
		fi; \
	else \
		echo "msgmerge for $*.gmo failed!"; \
		rm -f $*.new.po; \
	fi; \

update-po: labyrinth.pot $(LANGS:%=update-%-po)

clean:
	rm -rf *.mo
	rm -rf *.new.po

## labyrinth 0.4.0rc3

=== debian/changelog ===
labyrinth (0.4.0rc3) gutsy; urgency=low

  * also export graphics to pdf and svg
  * handle exception after save as

 -- Martin Schaaf (Privat) <mascha@ma-scha.de>  Fri, 22 Mar 2008 00:27:00 +0100

labyrinth (0.4.0-0rc2) gutsy; urgency=low

  * Save and load browser size, fixing issue 18
  * add export as pdf
  * add svg export support
  * Fix potential exception on map opening
  * Give all points their own unique colour
  * Update the colour selectors when loading a map

 -- Martin Schaaf (Privat) <mascha@ma-scha.de>  Fri, 21 Mar 2008 15:00:00 +0100

labyrinth (0.4.0-0rc1) gutsy; urgency=low

  * fix issues 37, 38, 66, 68, 13, 11, 64, 45, 69, 73 and other bugs

 -- Martin Schaaf (Privat) <mascha@ma-scha.de>  Fri, 21 Mar 2008 15:00:00 +0100

=== debian/control ===
Source: labyrinth
Section: gnome
Priority: optional
Maintainer: Martin Schaaf <mascha@ma-scha.de>
Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.37.2), python-central (>= 0.5)
Build-Depends-Indep: python-dev (>= 2.4), pkg-config, libxml-parser-perl, libgtk2.0-dev (>= 2.8), python-gtk2-dev (>= 2.8), python-gobject-dev (>= 2.10), python-gnome2-dev (>= 2.12), libgnome-desktop-dev (>= 2.14), python-cairo-dev (>= 1.0)
Standards-Version: 3.7.3
XS-Python-Version: all

Package: labyrinth
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-glade2, python-gtk2 (>= 2.8), python-gobject (>= 2.10), python-gnome2 (>= 2.12), python-gnome2-desktop (>= 2.14), python-cairo (>= 1.0)
XB-Python-Version: ${python:Versions}
Description: lightweight mind-mapping tool
 Labyrinth is a lightweight mind-mapping tool, written in Python using Gtk 
 and Cairo to do the drawing. It is intended to be as light and intuitive as 
 possible, but still provide a wide range of powerful features.
 .
 A mind-map is a diagram used to represent words, ideas, tasks or other items 
 linked to and arranged radially around a central key word or idea. It is 
 used to generate, visualise, structure and classify ideas, and as an aid in 
 study, organisation, problem solving, and decision making
 .
 Homepage: http://www.gnome.org/~dscorgie/labyrinth.html

## labyrinth 0.4.0-0rc1

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Martin Schaaf <mascha@ma-scha.de>
 Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.37.2), python-central (>= 0.5)
 Build-Depends-Indep: python-dev (>= 2.4), pkg-config, libxml-parser-perl, libgtk2.0-dev (>= 2.8), python-gtk2-dev (>= 2.8), python-gobject-dev (>= 2.10), python-gnome2-dev (>= 2.12), libgnome-desktop-dev (>= 2.14), python-cairo-dev (>= 1.0)
-Standards-Version: 3.7.3
+Standards-Version: 3.7.2
 XS-Python-Version: all
 
 Package: labyrinth

## labyrinth 0.5.0-maemo.r2

=== debian/changelog ===
labyrinth (0.5.0-maemo.r2) chinook; urgency=low

  * Fixed bug with saving - gdk.Color doesn't have to_string method in maemo
  * updated version to original trunk 

 -- Eugene Antimirov (Privat) <turist@gmail.com>  Thu, 15 May 2008 00:53:00 +0200

labyrinth (0.5.0-maemo.r1) chinook; urgency=low

  * maemo support

 -- Eugene Antimirov (Privat) <turist@gmail.com>  Thu, 01 May 2008 18:25:00 +0200

labyrinth (0.4.0) gutsy; urgency=low

  * check for pygtk version before gtk is imported like it is said in the pygtk FAQ, fixes Issue 82
  * update de translation
  * fix export dialog

 -- Martin Schaaf (Privat) <mascha@ma-scha.de>  Fri, 28 Mar 2008 09:39:00 +0100

labyrinth (0.4.0rc7) gutsy; urgency=low
  
  * add missing file to distribution
  * fix renaming of thoughts
 
 -- Martin Schaaf (Privat) <mascha@ma-scha.de>  Fri, 28 Mar 2008 09:39:00 +0100

labyrinth (0.4.0rc6) gutsy; urgency=low

  * add font selection support for thoughts, fixes issue 79
  * change attributes instead of inserting, fixes hopefully issue 53

 -- Martin Schaaf (Privat) <mascha@ma-scha.de>  Fri, 27 Mar 2008 19:39:00 +0100

labyrinth (0.4.0rc5) gutsy; urgency=low

  * Export maps with images as tarball. Sync with trunk.
  * show a bigger border if a thought has extended info, fixes issue 33
  * Fixes issue 62. Links are not selected if not clicked.
  * Don't draw off-screen thoughts.
  * remember map sort order, fixes issue 75
  * save open maps every 60 seconds, fixing issue 64

 -- Martin Schaaf (Privat) <mascha@ma-scha.de>  Fri, 26 Mar 2008 10:39:00 +0100

labyrinth (0.4.0rc4) gutsy; urgency=low

  * convert pixel array from pixbuf rgb order to cairo rgb order on exporting

 -- Martin Schaaf (Privat) <mascha@ma-scha.de>  Fri, 23 Mar 2008 12:31:00 +0100

## labyrinth 0.5.0-maemo.r4

=== debian/changelog ===
labyrinth (0.5.0-maemo.r4) chinook; urgency=low

  * Menu bars now use HildonWindow's menu bar
  * Full screen and Zoom keys now do their jobs
  * Better quality Labyrinth icon

 -- Eugene Antimirov (Privat) <turist@gmail.com>  Mon, 16 Jun 2008 14:28:00 +0200

labyrinth (0.5.0-maemo.r3) chinook; urgency=low

  * Fixed several bugs in .deb packaging

 -- Eugene Antimirov (Privat) <turist@gmail.com>  Thu, 15 May 2008 01:33:00 +0200

## labyrinth 0.5.0-maemo.r5

=== debian/changelog ===
labyrinth (0.5.0-maemo.r5) chinook; urgency=low

  * Updated code from original svn's trunk

 -- Eugene Antimirov (Privat) <turist@gmail.com>  Mon, 04 Aug 2008 15:25:00 +0200

=== debian/control ===
Source: labyrinth
Section: user/other
Priority: optional
Maintainer: Eugene Antimirov <turist@gmail.com>
Build-Depends: 
Build-Depends-Indep: 
Standards-Version: 3.7.3
XS-Python-Version: all

Package: labyrinth
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python2.5-gtk2 (>= 2.8), python2.5-gobject (>= 2.10), python2.5-gnome (>= 2.12), python2.5-cairo (>= 1.0)
XB-Python-Version: ${python:Versions}
Description: lightweight mind-mapping tool
 Labyrinth is a lightweight mind-mapping tool, written in Python using Gtk 
 and Cairo to do the drawing. It is intended to be as light and intuitive as 
 possible, but still provide a wide range of powerful features.
 .
 A mind-map is a diagram used to represent words, ideas, tasks or other items 
 linked to and arranged radially around a central key word or idea. It is 
 used to generate, visualise, structure and classify ideas, and as an aid in 
 study, organisation, problem solving, and decision making
 .
 Homepage: http://www.gnome.org/~dscorgie/labyrinth.html
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAACXBIWXMAAA3X
 AAAN1wFCKJt4AAAAB3RJTUUH2AUBEDkcREaucgAAA49JREFUSMftVm1oW2UU
 ft6Pe9P1M9lXYmgULAuObsKKhUELA0GF/aiUgagbZetw/pC6QVrWn/6zbCTI
 hgOpYAl+rCA6xT+Cq6J2zGZWHCNlkJLpymgVuyZpl/v5Hn8sCdlNtJ3Ufztw
 OYeX9z3PPfc873Mu8Mj+o7GH2ZxIJDgR7bJtu3XdxIyZUsqbsVjMBAD5MECO
 47R1dnZ+F4lEQkRUWS/H1T6Xy62mUqmDAH74R6DekSkA4AB0AA2lfauGM6v7
 /f5QMBiEUgpEBKVUJS4/Sinout6slGop56wLRKQCjPHTAF4CsALgCoDprBG6
 TkQwTbOSsDq511dbDdD+oS/2KNv4mAktxIV2EsAlACYAtbv5TmBpacsdIUTY
 +9m8cT6fzzPGVuoCdb/+ScS1jXHGZZSTehXA51cSL1RO98fjK/Pz889kMpmG
 DZDBkVIu1rCua3BCZ4ydBTDEuJwWesOBn949pDaL3hIAuk98KBs0cVAKvAwi
 x7TVL7ZdFADUpt6jnjcuvti1u31i+/bWNleB5fJrVur6rTctB0ku9eLMhUOV
 A/F4/OnGxsZTG7mDRFQoFouJWCx2SwJAJOQ/3epv8S/lbTguwaf79Md2tL7z
 +2K+n0v9cs/wNzOM8TkAfzlO6vDAwMAx13XBGKuQwEtvIkKhUMDk5OTPAO4D
 CcHDa5aCYSvYroLhKPh8mg+EfaWywwBFAfarS0wrv7HrujWUro4dx3mwR3dz
 974OhdRrBDCXgMAWiczte5cJdBhEeVLKmk48r0rMs5LJZICVyqmmtNeUUqtS
 yu8rPeo+8dHjwW3N49u2tjwHxmh5ZW128Y/cESK6eW38SE2CsbGxDZNgdHT0
 QXrvO/r+k0TqMxD2ciEvzH4wOPS/qXfX8Yl+Bj7BhCgI6ethQv/t6vm+avVm
 juMElVLrXlgp5d3h4eFcXWUQ0vcVGH+Lcfk2k1pSSN9g78hU9sezz6pS89ui
 0WgqHA63e2jspTWl0+kkgKN1gVLvvWLvH/ryHON8gQvtHBPaDICLvSNT3wK4
 sVDMGD07d7Z3dHTU0LpaYDVNY9ls9onq3Nxb8tXzfS4X2qeMi10AjgNYAOgp
 AHtyTmMzEcG2bViWBdM0YZomDMOoeMMwYFlWTZV1x8T0fSFdLSn3pfJ635kz
 geXltj+bmpp2eIedd/AZhrG4LtC/NDg3Nzd3IJ1OrzfKiXN++9Gf0qbY3/KL
 +uSrjiSEAAAAAElFTkSuQmCC

## labyrinth 0.5.0-maemo.r6

=== debian/changelog ===
labyrinth (0.5.0-maemo.r6) chinook; urgency=low

  * Updated code from original svn's trunk
  * Fixed missed python2.5-hildon and python2.5-xml dependencies
  * Fixed missed Build-Depends dependency

 -- Eugene Antimirov (Privat) <turist@gmail.com>  Thu, 10 Sep 2008 20:33:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: user/other
 Priority: optional
 Maintainer: Eugene Antimirov <turist@gmail.com>
-Build-Depends: 
+Build-Depends: python2.5
 Build-Depends-Indep: 
 Standards-Version: 3.7.3
 XS-Python-Version: all
 
 Package: labyrinth
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python2.5-gtk2 (>= 2.8), python2.5-gobject (>= 2.10), python2.5-gnome (>= 2.12), python2.5-cairo (>= 1.0)
+Depends: ${python:Depends}, ${misc:Depends}, python2.5-hildon, python2.5-gtk2 (>= 2.8), python2.5-gobject (>= 2.10), python2.5-gnome (>= 2.12), python2.5-cairo (>= 1.0), python2.5-xml
 XB-Python-Version: ${python:Versions}
 Description: lightweight mind-mapping tool
  Labyrinth is a lightweight mind-mapping tool, written in Python using Gtk

=== debian/rules ===
#!/usr/bin/make -f
DEB_AUTO_CLEANUP_RCS            := yes
DEB_PYTHON_SYSTEM               := pycentral

include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

install:
	install -m644 pixmaps/labyrinth.png $(CURDIR)/debian/labyrinth/usr/share/pixmaps/

binary-post-install/labyrinth::
	dh_python

## labyrinth 0.5.0-maemo.r7

=== debian/changelog ===
labyrinth (0.5.0-maemo.r7) diablo; urgency=low

    * Added popup editing window for text thoughts(for N800)

 -- Eugene Antimirov (Privat) <turist@gmail.com>  Thu, 22 Feb 2009 02:15:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: labyrinth
-Section: user/other
+Section: user/office
 Priority: optional
 Maintainer: Eugene Antimirov <turist@gmail.com>
 Build-Depends: python2.5

## labyrinth 0.6

=== debian/changelog ===
labyrinth (0.6-0ubuntu3) raring; urgency=low

  * Re-added python-numpy as a dependency. Numpy is needed to run the program.
    (Fixes LP: #1132082)

 -- Hans Joachim Desserud <ubuntu@desserud.org>  Tue, 26 Mar 2013 19:11:27 +0100

labyrinth (0.6-0ubuntu2) raring; urgency=low

  * debian/rules
    - added setup.py call.
    - removed dh_auto_clean override, not needed
    - use dh_link to create labyrinth sym link
  * Increased python to >= 2.6.6-3~ in debian/control
  * Use debhelper to install data files.
  * Added debian/clean
  * Added debian/install
  * Added debian/docs

 -- Charlie Smotherman <cjsmo@cableone.net>  Sun, 11 Nov 2012 10:30:41 -0500

labyrinth (0.6-0ubuntu1) raring; urgency=low

  * New upstream release
    - Fixes LP: #353605
  * Use packaging provided by upstream
    - Migrate from python-central to dh_python2

 -- Thomas Kluyver <thomas@kluyver.me.uk>  Fri, 02 Nov 2012 15:56:06 +0000

labyrinth (0.4.1-0ubuntu6) precise; urgency=low

  * debian/control: Replace python-numeric with python-numpy dependency
    fixes LP: #872756
  * debian/patches/numeric_to_numpy.patch: Replace Numeric with numpy

 -- Marcel Stimberg <stimberg@users.sourceforge.net>  Wed, 07 Dec 2011 22:17:46 +0100

labyrinth (0.4.1-0ubuntu5) maverick; urgency=low

  * Depend on python-gnomedesktop | python-gnome2-desktop (>= 2.14).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 28 Sep 2010 21:05:36 +0200

labyrinth (0.4.1-0ubuntu4) lucid; urgency=low

  * Now really fix LP: #520562
    (bzr builddep should complain when there is status: missing files)

 -- Stephan Hermann <sh@sourcecode.de>  Sat, 13 Feb 2010 12:17:42 +0100

labyrinth (0.4.1-0ubuntu3) lucid; urgency=low

  * really add debian/patches/fix-imports.patch
    bzr <-> human bug

 -- Stephan Hermann <sh@sourcecode.de>  Sat, 13 Feb 2010 12:09:51 +0100

labyrinth (0.4.1-0ubuntu2) lucid; urgency=low

  * debian/patches/fix-imports.patch
    - need to import names from labyrinth to handle finding the 
    modules after pycentral installation (LP: #520562) 

 -- Niall Creech <niallcreech@googlemail.com>  Thu, 11 Feb 2010 18:34:39 +0000

labyrinth (0.4.1-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * debian/control: 
    - add dependency on python-numeric. (LP: #487496)
    - updated Homepage.
    - bumped Standards-Version.
  * debian/copyright: use ©.
  * debian/patches/remove-encoding-field-from-desktop-file.patch: remove 
    obsolete Encoding field from .desktop file.
  * debian/watch: added.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 21 Dec 2009 14:06:13 +0100

labyrinth (0.4.0-0ubuntu1) hardy; urgency=low

  * New upstream release, Bug fix release (LP: #210656).
  * debian/patches/svn_makedirs.patch: dropped, included upstream.
  * Lots of bugs fixed. (LP: #183231, LP: #186321)

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed, 02 Apr 2008 07:51:05 +0200

labyrinth (0.3-0ubuntu4) hardy; urgency=low

  * debian/patches/missing-thought-fix.patch: thanks Luca Falavigna and Martin
    Schaaf for raising the issue and figuring out the upstream fix at
    http://code.google.com/p/labyrinth/issues/detail?id=69 (LP: #156451)
  * debian/control: moved Homepage into its own section, bumped
    Standards-Version.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 06 Mar 2008 12:44:21 +0100

labyrinth (0.3-0ubuntu3) hardy; urgency=low

  * svn_makedirs.patch: fix OSError exception when intermediate directories
    are not present (LP: #97064)

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Wed, 19 Dec 2007 20:37:22 +0100

labyrinth (0.3-0ubuntu2) feisty; urgency=low

  * debian/pycompat: 2.
  * debian/control: debhelper (>= 5.0.37.2).

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed, 14 Mar 2007 11:03:02 +0100

labyrinth (0.3-0ubuntu1) feisty; urgency=low

  * Initial release.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 14 Nov 2006 17:00:25 -0800

=== debian/control ===
Source: labyrinth
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Martin Schaaf <mascha@ma-scha.de>
Build-Depends: debhelper (>= 8), python (>= 2.6.6-3~)
Standards-Version: 3.9.3
X-Python-Version: >= 2.6
Homepage: http://www.gnome.org/~dscorgie/labyrinth.html

Package: labyrinth
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-glade2,
         python-gtk2 (>= 2.8),
         python-gobject (>= 2.10),
         python-cairo (>= 1.0),
         python-gconf,
         python-xdg,
         python-numpy
Description: lightweight mind-mapping tool
 Labyrinth is a lightweight mind-mapping tool, written in Python using Gtk 
 and Cairo to do the drawing. It is intended to be as light and intuitive as 
 possible, but still provide a wide range of powerful features.
 .
 A mind-map is a diagram used to represent words, ideas, tasks or other items 
 linked to and arranged radially around a central key word or idea. It is 
 used to generate, visualise, structure and classify ideas, and as an aid in 
 study, organisation, problem solving, and decision making
 .

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=$(CURDIR)/debian/labyrinth/
PYVERS = $(shell pyversions -r)

%:
	dh $@ --with python2

override_dh_auto_install:
	set -e; \
	for py in $(PYVERS); do \
		$$py setup.py install --root=$(DESTDIR) --install-layout=deb \
		--install-scripts=/usr/share/labyrinth; \
	done
	dh_link /usr/share/labyrinth/labyrinth /usr/bin/labyrinth
	make -C po localedir=$(DESTDIR)/usr/share/locale install

=== debian/watch ===
version=3
http://github.com/labyrinth-team/labyrinth/tags .*/(\d[\d\.]+)\.tar\.gz
